tutorialResult_titleText = ""
tutorialResult_undertitleText = ""

tutorialResult_requirementCol1Text = ""
tutorialResult_requirementCol2Text = ""
tutorialResult_requirementCol3Text = ""
tutorialResult_requirementCol4Text = ""

function tutorialResult_afterWindowClose()
	cfunction("transitionToState", "tutorialFinishQuestion")
end

function tutorialResult_onSubmitPressed()			
	cfunction("showFontOverlay", "tutorial_title", 0, 100, 0, 50)
	cfunction("showFontOverlay", "tutorial_undertitle", 0, 100, 0, 100)
	cfunction("showFontOverlay", "tutorial_requirementCol1", 0, 100, 75, 170)
	cfunction("showFontOverlay", "tutorial_requirementCol2", 0, 100, 190, 170)
	cfunction("showFontOverlay", "tutorial_requirementCol3", 0, 100, 275, 170)
	cfunction("showFontOverlay", "tutorial_requirementCol4", 0, 100, 330, 170)			
	closePopupWindow("tutorialResult_afterWindowClose")			
end

function tutorialResult_onEnterState()	
	cfunction("callCPPFunction", "tutorial_createResultScreen", "", 0)
	createWindowFrame("tutorialResult_afterWindowOpen", 3.5, 0)	
end

function tutorialResult_afterWindowOpen()
	cfunction("showFontOverlay", "tutorial_title", 1, 100, 0, 45)
	cfunction("setFontOverlayText", "tutorial_title", '\05'..tutorialResult_titleText)
	
	cfunction("showFontOverlay", "tutorial_undertitle", 1, 100, 0, 210)
	cfunction("setFontOverlayText", "tutorial_undertitle", '\05'..tutorialResult_undertitleText)
	
	cfunction("showFontOverlay", "tutorial_requirementCol1", 1, 100, 75, 80)
	cfunction("setFontOverlayText", "tutorial_requirementCol1", '\04'..tutorialResult_requirementCol1Text)
		
	cfunction("showFontOverlay", "tutorial_requirementCol2", 1, 100, 190, 80)
	cfunction("setFontOverlayText", "tutorial_requirementCol2", '\04'..tutorialResult_requirementCol2Text)
	
	cfunction("showFontOverlay", "tutorial_requirementCol3", 1, 100, 275, 80)
	cfunction("setFontOverlayWidth", "tutorial_requirementCol3", 80)
	cfunction("setFontOverlayText", "tutorial_requirementCol3", '\06'..tutorialResult_requirementCol3Text)
	
	cfunction("showFontOverlay", "tutorial_requirementCol4", 1, 100, 370, 80)
	cfunction("setFontOverlayText", "tutorial_requirementCol4", '\04'..tutorialResult_requirementCol4Text)
	
end

function tutorialResult_onLeaveState()				
end
